org.richfaces.component.html

## Class HtmlDragSupport

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - org.ajax4jsf.component.AjaxActionComponent
        - - org.richfaces.component.UIDragSupport
          - - org.richfaces.component.html.HtmlDragSupport

- All Implemented Interfaces:
    javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource, org.richfaces.component.Draggable

      public class HtmlDragSupport
      extends UIDragSupport

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.AjaxActionComponent

      `FOCUS_DATA_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.ajax4jsf.component.AjaxComponent

      `AJAX_COMPONETT_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlDragSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getDisableDefault()`
    `java.lang.String` | `getDragIndicator()`
    `javax.faces.el.MethodBinding` | `getDragListener()`
    `java.lang.String` | `getDragType()`
    `java.lang.Object` | `getDragValue()`
    `java.lang.String` | `getEventsQueue()`
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFocus()`
    `java.lang.String` | `getGrabbingCursors()`
    `java.lang.String` | `getGrabCursors()`
    `java.lang.String` | `getOnbeforedomupdate()`
    `java.lang.String` | `getOncomplete()`
    `java.lang.String` | `getOndragend()`
    `java.lang.String` | `getOndragstart()`
    `java.lang.String` | `getOndropout()`
    `java.lang.String` | `getOndropover()`
    `java.lang.Object` | `getProcess()`
    `int` | `getRequestDelay()`
    `java.lang.Object` | `getReRender()`
    `java.lang.String` | `getSimilarityGroupingId()`
    `java.lang.String` | `getStatus()`
    `int` | `getTimeout()`
    `boolean` | `isAjaxSingle()`
    `boolean` | `isBypassUpdates()`
    `boolean` | `isIgnoreDupResponses()`
    `boolean` | `isLimitToList()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxSingle(boolean _ajaxSingle)`
    `void` | `setBypassUpdates(boolean _bypassUpdates)`
    `void` | `setData(java.lang.Object _data)`
    `void` | `setDisableDefault(java.lang.String _disableDefault)`
    `void` | `setDragIndicator(java.lang.String _dragIndicator)`
    `void` | `setDragListener(javax.faces.el.MethodBinding _dragListener)`
    `void` | `setDragType(java.lang.String _dragType)`
    `void` | `setDragValue(java.lang.Object _dragValue)`
    `void` | `setEventsQueue(java.lang.String _eventsQueue)`
    `void` | `setFocus(java.lang.String _focus)`
    `void` | `setGrabbingCursors(java.lang.String _grabbingCursors)`
    `void` | `setGrabCursors(java.lang.String _grabCursors)`
    `void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
    `void` | `setLimitToList(boolean _limitToList)`
    `void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
    `void` | `setOncomplete(java.lang.String _oncomplete)`
    `void` | `setOndragend(java.lang.String _ondragend)`
    `void` | `setOndragstart(java.lang.String _ondragstart)`
    `void` | `setOndropout(java.lang.String _ondropout)`
    `void` | `setOndropover(java.lang.String _ondropover)`
    `void` | `setProcess(java.lang.Object _process)`
    `void` | `setRequestDelay(int _requestDelay)`
    `void` | `setReRender(java.lang.Object _reRender)`
    `void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
    `void` | `setStatus(java.lang.String _status)`
    `void` | `setTimeout(int _timeout)`

    - ### Methods inherited from class org.richfaces.component.UIDragSupport

      `addDragListener, broadcast, getDragListeners, getResolvedDragIndicator, queueEvent, removeDragListener`

    - ### Methods inherited from class org.ajax4jsf.component.AjaxActionComponent

      `addAjaxListener, getAjaxListeners, getSingleComponent, removeAjaxListener, setupReRender, setupReRender`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlDragSupport

          public HtmlDragSupport()

  - ### Method Detail

    - #### isAjaxSingle

          public boolean isAjaxSingle()

    - #### setAjaxSingle

          public void setAjaxSingle(boolean _ajaxSingle)

    - #### isBypassUpdates

          public boolean isBypassUpdates()

    - #### setBypassUpdates

          public void setBypassUpdates(boolean _bypassUpdates)

    - #### getData

          public java.lang.Object getData()

    - #### setData

          public void setData(java.lang.Object _data)

    - #### getDisableDefault

          public java.lang.String getDisableDefault()

    - #### setDisableDefault

          public void setDisableDefault(java.lang.String _disableDefault)

    - #### getDragIndicator

          public java.lang.String getDragIndicator()

    - #### setDragIndicator

          public void setDragIndicator(java.lang.String _dragIndicator)

    - #### getDragListener

          public javax.faces.el.MethodBinding getDragListener()

    - #### setDragListener

          public void setDragListener(javax.faces.el.MethodBinding _dragListener)

    - #### getDragType

          public java.lang.String getDragType()

    - #### setDragType

          public void setDragType(java.lang.String _dragType)

    - #### getDragValue

          public java.lang.Object getDragValue()

    - #### setDragValue

          public void setDragValue(java.lang.Object _dragValue)

    - #### getEventsQueue

          public java.lang.String getEventsQueue()

    - #### setEventsQueue

          public void setEventsQueue(java.lang.String _eventsQueue)

    - #### getFocus

          public java.lang.String getFocus()

    - #### setFocus

          public void setFocus(java.lang.String _focus)

    - #### getGrabCursors

          public java.lang.String getGrabCursors()

    - #### setGrabCursors

          public void setGrabCursors(java.lang.String _grabCursors)

    - #### getGrabbingCursors

          public java.lang.String getGrabbingCursors()

    - #### setGrabbingCursors

          public void setGrabbingCursors(java.lang.String _grabbingCursors)

    - #### isIgnoreDupResponses

          public boolean isIgnoreDupResponses()

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(boolean _ignoreDupResponses)

    - #### isLimitToList

          public boolean isLimitToList()

    - #### setLimitToList

          public void setLimitToList(boolean _limitToList)

    - #### getOnbeforedomupdate

          public java.lang.String getOnbeforedomupdate()

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

    - #### getOncomplete

          public java.lang.String getOncomplete()

    - #### setOncomplete

          public void setOncomplete(java.lang.String _oncomplete)

    - #### getOndragend

          public java.lang.String getOndragend()

    - #### setOndragend

          public void setOndragend(java.lang.String _ondragend)

    - #### getOndragstart

          public java.lang.String getOndragstart()

    - #### setOndragstart

          public void setOndragstart(java.lang.String _ondragstart)

    - #### getOndropout

          public java.lang.String getOndropout()

    - #### setOndropout

          public void setOndropout(java.lang.String _ondropout)

    - #### getOndropover

          public java.lang.String getOndropover()

    - #### setOndropover

          public void setOndropover(java.lang.String _ondropover)

    - #### getProcess

          public java.lang.Object getProcess()

    - #### setProcess

          public void setProcess(java.lang.Object _process)

    - #### getReRender

          public java.lang.Object getReRender()

    - #### setReRender

          public void setReRender(java.lang.Object _reRender)

    - #### getRequestDelay

          public int getRequestDelay()

    - #### setRequestDelay

          public void setRequestDelay(int _requestDelay)

    - #### getSimilarityGroupingId

          public java.lang.String getSimilarityGroupingId()

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String _status)

    - #### getTimeout

          public int getTimeout()

    - #### setTimeout

          public void setTimeout(int _timeout)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UICommand`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UICommand`

Copyright © 2013. All Rights Reserved.